package help.lixin.spring.controller;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class HelloController {
	private Logger logger = LoggerFactory.getLogger(HelloController.class);
	
	@Value(value = "${instnace.name}")
	private String instanceName;

	@GetMapping("/hello")
	public String hello() {
		logger.debug("request hello!!!" + instanceName);
		return "Hello World!!!" + instanceName;
	}
}
